package com.hzya.frame.sysnew.sendMessageLog.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * (SysSendMessageLog)实体类
 *
 * @author makejava
 * @since 2024-08-30 14:19:30
 */
public class SysSendMessageLogEntity extends BaseEntity {


  //接收人姓名
  private String recipientsPersonName;
  //发送人姓名
    private String sendPersonName;
  /**  公司id */
   private String companyId;
  /**  消息类型（1、系统消息、2、单据消息、3、钉钉、4微信、5短信、6、邮件） */
   private String type;
  /**  发送给谁（三方系统userID 钉钉微信、邮箱、手机号） */
   private String recipientsPersonId;
  /**  发送给系统内部人员ID */
   private String recipientsInteriorId;
  /**  消息内容 */
   private String sendCount;
  /**  发送时间 */
   private Date sendDatetime;
  /**  发送人Id */
   private String sendPersonId;
  /**  消息发送来源模块 */
   private String sourceModelName;
  /**  消息状态（0未读1已读） */
   private Integer state;
  /**  三方系统消息结果 */
   private String resultMessage;
  /**  预警接口表id */
   private String warningInterfaceId;
   /**  应用id */
   private String appId;
   /**  应用名称 */
   private String appName;
   /**  消息标题 */
   private String messageTitle;
   /**  按钮 */
   private String btns;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getMessageTitle() {
        return messageTitle;
    }

    public void setMessageTitle(String messageTitle) {
        this.messageTitle = messageTitle;
    }

    public String getBtns() {
        return btns;
    }

    public void setBtns(String btns) {
        this.btns = btns;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getWarningInterfaceId() {
        return warningInterfaceId;
    }

    public void setWarningInterfaceId(String warningInterfaceId) {
        this.warningInterfaceId = warningInterfaceId;
    }

    public String getRecipientsPersonName() {
        return recipientsPersonName;
    }

    public void setRecipientsPersonName(String recipientsPersonName) {
        this.recipientsPersonName = recipientsPersonName;
    }

    public String getSendPersonName() {
        return sendPersonName;
    }

    public void setSendPersonName(String sendPersonName) {
        this.sendPersonName = sendPersonName;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRecipientsPersonId() {
        return recipientsPersonId;
    }

    public void setRecipientsPersonId(String recipientsPersonId) {
        this.recipientsPersonId = recipientsPersonId;
    }

    public String getRecipientsInteriorId() {
        return recipientsInteriorId;
    }

    public void setRecipientsInteriorId(String recipientsInteriorId) {
        this.recipientsInteriorId = recipientsInteriorId;
    }

    public String getSendCount() {
        return sendCount;
    }

    public void setSendCount(String sendCount) {
        this.sendCount = sendCount;
    }

    public Date getSendDatetime() {
        return sendDatetime;
    }

    public void setSendDatetime(Date sendDatetime) {
        this.sendDatetime = sendDatetime;
    }

    public String getSendPersonId() {
        return sendPersonId;
    }

    public void setSendPersonId(String sendPersonId) {
        this.sendPersonId = sendPersonId;
    }

    public String getSourceModelName() {
        return sourceModelName;
    }

    public void setSourceModelName(String sourceModelName) {
        this.sourceModelName = sourceModelName;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getResultMessage() {
        return resultMessage;
    }

    public void setResultMessage(String resultMessage) {
        this.resultMessage = resultMessage;
    }

}

